Summary:	Generate C++ class wrappers to call Java methods/objects
Name:		giws
Version:	2.0.1
Release:	%mkrel 3
License:	CeCILL
Group:		Development/Python
Url:		http://www.scilab.org/giws/
Source0:	http://forge.scilab.org/index.php/p/%{name}/downloads/get/%{name}-%{version}.tar.gz
BuildRequires:	python-devel
BuildArch:	noarch

%description
Giws is basically doing the same stuff as SWIG but the opposite.
Calling Java from C/C++ can be tricky: JNI calls are complicated 
especially when dealing with non primivite types or arrays, 
performance issues must be kept in mind all the time, 
the code can be redundant (checking exceptions, checking returns
of operations...).
Giws hides this complexity through a C++ class which wraps the
Java class.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%files
%doc AUTHORS BUGS README LICENSE CHANGELOG
%{_bindir}/*
%py_puresitedir/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-3.mga4
+ Revision: 542534
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.0.1-2.mga4
+ Revision: 497762
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 17 2013 dams <dams> 2.0.1-1.mga4
+ Revision: 480679
- new version 2.0.1

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 351651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 grenoya <grenoya> 1.3.0-1.mga2
+ Revision: 164320
- new version 1.3.0

* Sat Apr 16 2011 grenoya <grenoya> 1.2.4-1.mga1
+ Revision: 86692
- update sources to 1.2.4

* Thu Mar 31 2011 grenoya <grenoya> 1.2.0-1.mga1
+ Revision: 79358
- imported package giws


* Fri Jan 21 2011 Paulo Andrade <pcpa@mandriva.com.br> 1.2.0-1mdv2011.0
+ Revision: 632073
- Update to giws 1.2.0

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.0.5-3mdv2011.0
+ Revision: 590803
- rebuild for py 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Nov 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-1mdv2010.1
+ Revision: 464836
- update to new version 1.0.5

* Sat Aug 29 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 422298
- update to new version 1.0.3

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 373875
- update to new version 1.0.2

* Sun Dec 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-2mdv2009.1
+ Revision: 320117
- rebuild for python-2.6

* Fri Nov 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2009.1
+ Revision: 305596
- add source and spec files
- Created package structure for giws.

